<?php

use App\Jobs\RebuildDailySummaries;
use Illuminate\Foundation\Inspiring;
use Illuminate\Support\Facades\Artisan;
use Illuminate\Support\Facades\Schedule;

Artisan::command('inspire', function () {
    $this->comment(Inspiring::quote());
})->purpose('Display an inspiring quote');

Schedule::job(new RebuildDailySummaries(now()->subDay()->toDateString()))
    ->dailyAt('00:10');
